import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.util.*;

/**
 * Simple implementation of the Battle Ending.
 * 
 * @see Battle
 * @see Player
 * @author Matt, Sam
 * @version 73.22
 */
public class BattleEndEvent extends AWTEvent 
{
	/**
	 * The Player
	 */
	Player pl;
	/**
	 * The UID for this Event
	 */
	public static final int BATTLE_ENDED = RESERVED_ID_MAX + 23;	// Make sure no conflicts with normal AWT components

	/**
	 * Construct a BattleEndEvent from a Battle with a Player.
	 * 
	 * @param source the Battle fireing the event
	 * @param id the ID
	 * @param mpl the Player to pass along
	 * @see Battle
	 * @see Player
	 */
	BattleEndEvent(Battle source, int id, Player mp1)
	{
		super( source, id );
		pl = mp1;
	}
	/**
	 * Get the Player in this
	 * 
	 * @return the Player
	 */
	public Player getPlayer()
	{
		return pl;
	}
}
