import java.awt.*;
import javax.swing.*;
import java.applet.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.net.*;

/**
 * Simple non-enterable MapObject used
 * to denote a building's roof.
 * 
 * @see MapObject
 * @author Matt, Sam
 * @version sqrt(2)
 */
public class Building extends MapObject
{
	/**
	 * The Image of this.
	 */
	protected static Image img;
	/**
	 * Construct a new Building
	 */
	public Building()
	{
		enterable = false;
		type = MapObject.BUILDING;
	}
	/**
	 * Sets the Image to be displayed for this.
	 * Needs to be called before paint is called
	 * 
	 * @param img the Image to draw.
	 */
	public void setImage(Image[] img)
	{
		if(img.length == 1)
			this.img = img[0];
	}
	/**
	 * Returns a clone of this.
	 * 
	 * @return MapObject clone of this
	 * @see MapObject
	 */
	public MapObject getClone() { return new Building(); }
	/**
	 * Draw the MapObject.
	 * 
	 * @param g the Graphics.
	 */
	public void paint(Graphics g)
	{
		g.drawImage(img, 0, 0, this);
	}
}