import java.awt.*;
import javax.swing.*;
import java.applet.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.net.*;

/**
 * Simple class to define another default MapObject,
 * ie it is enterable by People.
 * 
 * @see People
 * @see MapObject
 * @see Grass
 * @version 456
 * @author Matt, Sam
 */
public class Floor extends MapObject
{
	/**
	 * The Image to display
	 */
	protected static Image img;
	/**
	 * Construct a new Floor, can be Entered, and has
	 * type of MapObject.FLOOR
	 * 
	 * @see MapObject
	 * @see Grass
	 */
	public Floor()
	{
		enterable = true;
		type = MapObject.FLOOR;
	}
	/**
	 * Sets the image to be painted.
	 * Needs to be called before a call to paint occurs.
	 * 
	 * @param img the array of images used, need to be of length .
	 */
	public void setImage(Image[] img)
	{
		if(img.length == 1)
			this.img = img[0];
	}
	/**
	 * Returns a clone of this
	 * 
	 * @return a clone of this
	 */
	public MapObject getClone() { return new Floor(); }
	/**
	 * Draws the Floor
	 * 
	 * @param g the Graphics
	 */
	public void paint(Graphics g)
	{
		g.drawImage(img, 0, 0, this);
	}
}