import java.awt.*;
import javax.swing.*;
import java.applet.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.net.*;

/**
 * Simple enterable MapObject.
 * 
 * @see Floor
 * @see MapObject
 */
public class Grass extends MapObject
{
	/**
	 * The image to display
	 */
	protected static Image img;
	/**
	 * Default Constructor to define type and
	 * enterable.
	 */
	public Grass()
	{
		enterable = true;
		type = MapObject.GRASS;
	}
	/**
	 * Sets the image to display.
	 * Needs be called before paint.
	 * 
	 * @param img the array of images to use, needs be length 1.
	 */
	public void setImage(Image[] img)
	{
		if(img.length == 1)
            this.img = img[0];
	}

	/**
	 * Returns a clone of this.
	 * 
	 * @return a clone of this.
	 */
	public MapObject getClone() { return new Grass(); }
	/**
	 * Draws the Grass.
	 * 
	 * @param g the Graphics.
	 */
	public void paint(Graphics g)
	{
		g.drawImage(img, 0, 0, this);
	}
}