import java.awt.*;
import javax.swing.*;
import java.applet.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.net.*;
import java.util.*;
/**
 * Simple class to associate an Image with a Name.
 * 
 * @see Game
 * @see Battle
 * @see Monster
 */
public class ImageMap
{
	/**
	 * The name of this
	 */
	String name;
	/**
	 * The image of this
	 */
	Image img;
	/**
	 * Construct a new ImageMap with the name and Image specified.
	 * 
	 * @param name the name for the Image
	 * @param img the Image for this.
	 */
	public ImageMap(String name, Image img)
	{
		this.name=name;
		this.img = img;
	}

	/**
	 * Gets the Image of this
	 * 
	 * @return the Image of this
	 */
	public Image getImage() { return img; }
	/**
	 * Gets the name of this Image
	 * 
	 * @return the name of this Image
	 */
	public String getName() { return name; }
	/**
	 * Determine Equality of this and the Object o.
	 * 
	 * @param o the Object to compare
	 * @return true iff equivalant
	 */
	public boolean equals(Object o)
	{
		if(o instanceof ImageMap)
			return equals((ImageMap)o);
		return false;
	}
	/**
	 * Determine Equality of this and the ImageMap im.
	 * 
	 * @param o the Object to compare
	 * @return true iff equivalant, ie have the same name and Image
	 */
	public boolean equals(ImageMap im)
	{
		return this.name.equalsIgnoreCase(im.getName()) && img.equals(im.getImage());
	}
	/**
	 * Determine Equality of this and the String specified.
	 * 
	 * @param s the String to compare with this name, should not specify th -B or -F, only should be the name to search for
	 * @param front true if opponent
	 * @return true iff equivalant
	 */
	public boolean equals(String s, boolean front)
	{
		if(front)
		{
			return this.name.equalsIgnoreCase(s + "-B");
		}
		else
		{
			return this.name.equalsIgnoreCase(s + "-F");
		}
	}
}