/**
 * Defines an Exception if the Opponent in Battle/BattleAI
 * wishes to use an Item.
 * 
 * @see Battle
 * @see BattleAI
 * @see Item
 * @author Matt, Sam
 * @version 1234
 */
public class ItemChangeException extends Exception
{
	/**
	 * The Item to use
	 */
	private Item item;
	/**
	 * Simple constructor for ItemChangeException
	 * 
	 * @param item the Item to use
	 */
	public ItemChangeException(Item item)
	{
		this.item = item;
	}
	/**
	 * Returns the Item to use
	 * 
	 * @return the Item to use
	 */
	public Item getItem()
	{
		return item;	
	}
}