/**
 * Simple class to define an i, j position on a Grid.
 * 
 * @see Grid
 */
public final class Location
{
	/**
	 * The i, j
	 */
	int i, j;
	/**
	 * Construct a new Location with the i, j position.
	 * 
	 * @param i the row
	 * @param j the column
	 */
	public Location(int i, int j)
	{
		this.i = i;
		this.j = j;
	}

	/**
	 * Returns the i of this.
	 * 
	 * @return the i of this, ie the row
	 */
	public int getI() { return i; }
	/**
	 * Returns the j of this.
	 * 
	 * @return the j of this, ie the column
	 */
	public int getJ() { return j; }
	/**
	 * Sets the i of this.
	 * 
	 * @param the i of this, ie the row
	 */
	public void setI(int i) { this.i = i; }
	/**
	 * Returns the j of this.
	 * 
	 * @param the j of this, ie the row
	 */
	public void setJ(int j) { this.j = j; }
	/**
	 * Set the i, j of this.
	 * 
	 * @param i the new i of this, ie the new Row
	 * @param j the new j of this, ie the column
	 */
	public void setLocation(int i, int j) { this.i = i; this.j = j; }
	/**
	 * Copies the i, j into this.
	 * 
	 * @param l the Location to copy the i, j from, ie the Row, Column.
	 */
	public void setLocation(Location l) { this.i = l.i; this.j = l.j; }

}