import java.awt.*;
import java.applet.*;
import javax.swing.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.net.*;
import java.util.*;
/**
 * Simple class for an Item used to catch Monsters
 * 
 * @see Monster
 * @see Item
 */
public class MonsterBallItem extends Item
{
	/**
	 * Normal MonsterBall subBrand
	 */
	public static final int NORMAL = 1;
	/**
	 * Master MonsterBall subBrand
	 */
	public static final int MASTER = 2;

	/**
	 * the subBrand
	 */
	private int subBrand;

	/**
	 * Construct a MonsterBallItem based upon name and subBrand.
	 * 
	 * @param name The name for this
	 * @param subBrand the subBrand as defined above
	 */
	public MonsterBallItem(String name, int subBrand)
	{
		brand = MONSTERBALL;
		if(name != null)
			this.name = name;
		else
			name = "Normal MonsterBall";
		brand = MONSTERBALL;
		if(subBrand == NORMAL || subBrand == MASTER)
			this.subBrand = subBrand;
		else
			this.subBrand = NORMAL;
		number = 1;
	}
	/**
	 * Gets the subBrand of this
	 * 
	 * @return the subBrand of this
	 */
	public int getSubBrand() { return subBrand; }

	/**
	 * Attempts to use the MonsterBall on the Monster.  If
	 * this is successful then returns true, else returns false.  Needs
	 * to be passed the opposing Monster the Player is trying to catch
	 * 
	 * @param m the opposing Monster trying to catch
	 * @return true iff Monster was able to be caught, still needs to be added to Player.  Else false
	 * @see Player
	 * @see Monster
	 */
	public boolean useItem(Monster m) // Monster trying to capture
	{
		double r = Math.random();
		number--;
		if(getSubBrand() == NORMAL)
		{
			if(m.getLevel() < 20)
			{
				if(r < .9) // Works 90% of the time
					return true;
				else
					return false;
			}
			else
			{
				if(r < .2) // Works 20% of the time
					return true;
				else
					return false;
			}
		}
		else
		{
			if(r < 9) // Works 90% of the time
				return true;
			else
				return false;
		}
	}
}