/**
 * Defines an Exception if the Opponent in Battle/BattleAI
 * wishes to change Monsters.
 * 
 * @see Battle
 * @see BattleAI
 * @see Monster
 * @author Matt, Sam
 * @version 1234
 */
public class MonsterChangeException extends Exception
{
	private int originalMonster;
	private int newMonster;
	/**
	 * Simple constructor for MonsterChangeException
	 * 
	 * @param originalMonster the position of the Monster to take out of active status
	 * @param newMonster the position of the Monster to put in active status
	 */
	public MonsterChangeException(int originalMonster, int newMonster)
	{
		this.originalMonster = originalMonster;
		this.newMonster = newMonster;
	}
	/**
	 * Gets the position of the Original Monster
	 * 
	 * @return the position of the originial Monster.
	 */
	public int getOriginalMonster()
	{
		return originalMonster;
	}
	/**
	 * Gets the position of the New Monster
	 * 
	 * @return the position of the new Monster.
	 */
	public int getNewMonster()
	{
		return newMonster;
	}
}