import java.awt.*;
import javax.swing.*;
import java.applet.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.net.*;

/**
 * Simple class to define a non-enterable MapObject
 * that is used for Grass Backgrounds.
 * 
 * @see Grass
 * @see Wall
 * @see MapObject
 * @author Matt, Sam
 * @version 1.3.4
 */
public class Rock extends MapObject
{
	/**
	 * The Image for the Rock
	 */
	protected static Image img;

	/**
	 * Construct a Rock Object
	 */
	public Rock()
	{
		enterable = false;
		type = MapObject.ROCK;
	}
	/**
	 * Sets the Image to be used for the Rock.
	 * Needs to be called before paint is called.
	 * 
	 * @param img the Image to use.
	 */
	public void setImage(Image[] img)
	{
		if(img.length == 1)
			this.img = img[0];
	}
	/**
	 * Returns a clone of this.
	 * 
	 * @return a clone of this.
	 */
	public MapObject getClone() { return new Rock(); }
	/**
	 * Draws the Rock by paint the Image.
	 * 
	 * @param g the Graphics
	 */
	public void paint(Graphics g)
	{
		g.drawImage(img, 0, 0, this);
	}
}