import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.util.*;

/**
 * Event fired when Player chooses to save his informaiont.
 * 
 * @see SaveListener
 * @see Shop
 * @see Player
 * @author Matt, Sam
 * @version 7.3696
 */
public class SaveEvent extends AWTEvent 
{
	/**
	 * The Player to pass along
	 */
	Player pl;
	/**
	 * The UID of SaveEvent
	 */
	public static final int SAVE_GAME = RESERVED_ID_MAX + 22;	// Make sure no conflicts with normal AWT components

	/**
	 * Constructs a new SaveEvent with Shop, id and Player.
	 * 
	 * @see Shop
	 * @see Player
	 */
	SaveEvent(Shop source, int id, Player mp1)
	{
		super( source, id );
		pl = mp1;
	}
	/**
	 * Returns the Player to be saved.
	 * 
	 * @return the Player to be saved.
	 */
	public Player getPlayer()
	{
		return pl;
	}
}
