import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.util.*;

/**
 * Event for when Player leaves the Shop.
 * 
 * @see Player
 * @see Shop
 * @see AWTEvent
 * @author Matt, Sam
 * @version 2.4.5.1
 */
public class ShopEndEvent extends AWTEvent 
{
	/**
	 * The player that was in the shop
	 */
	Player pl;
	/**
	 * The constant associated with this event, must be unique in package/AWTEvent
	 */
	public static final int SHOP_ENDED = RESERVED_ID_MAX + 25;	// Make sure no conflicts with normal AWT components

	/**
	 * Construct a ShopEndEvent.
	 * 
	 * @param source the Shop leaving from.
	 * @param id the AWTEvent ID associated with this.
	 * @param mpl the Player leaving the Shop.
	 * @see Player
	 * @see Shop
	 * @see AWTEvent
	 */
	ShopEndEvent(Shop source, int id, Player mp1)
	{
		super( source, id );
		pl = mp1;
	}
	/**
	 * Returns the Player in this.
	 * 
	 * @return The Player in this.
	 */
	public Player getPlayer()
	{
		return pl;
	}
}
