import java.awt.*;
import javax.swing.*;
import java.applet.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.net.*;

/**
 * Simple class to define a Wall,
 * a non-enterable MapObject for
 * levels that use the Floor as the backdrop.
 * 
 * @see MapObject
 * @see Floor
 * @author Matt, Sam
 * @version 1.2.3.4
 */
public class Wall extends MapObject
{
	/**
	 * The Image to display in with calls to paint
	 */
	protected static Image img;
	/**
	 * Create a new Wall Object.
	 */
	public Wall()
	{
		enterable = false;
		type = MapObject.WALL;
	}
	/**
	 * Sets the static Image associated with Wall.
	 * Required to call this before a call to paint can
	 * occur.
	 * 
	 * @param img the Image to display
	 */
	public void setImage(Image[] img)
	{
		if(img.length == 1)
			this.img = img[0];
	}
	/**
	 * Returns a duplicate of this.
	 * 
	 * @return a new MapObject of this
	 */
	public MapObject getClone() { return new Wall(); }
	/**
	 * Paints the image of the Wall.
	 * 
	 * @param g the Graphics
	 */
	public void paint(Graphics g)
	{
		g.drawImage(img, 0, 0, this);
	}
}